Bug 1315480 - owncloud-client rpm broken dependencies
owncloud-client rpm broken dependencies
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: owncloud-client (Show other bugs)
23
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Nikos Roussos
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-07 16:07 EST by IanB
Modified: 2016-03-07 16:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-07 16:10:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IanB 2016-03-07 16:07:26 EST
Description of problem:

Installing owncloud-client shows message 'Skipping packages with conflicts' and older version of the package is installed:

$ sudo dnf install owncloud-client
Last metadata expiration check performed 0:07:10 ago on Tue Mar  8 06:57:31 2016.
Dependencies resolved.
==========================================================================================
 Package                      Arch           Version                Repository       Size
==========================================================================================
Installing:
 owncloud-client              x86_64         2.0.1-1.fc23           fedora          1.2 M
 owncloud-client-libs         x86_64         2.0.1-1.fc23           fedora          417 k
Skipping packages with conflicts:
(add '--best --allowerasing' to command line to force their upgrade):
 owncloud-client              x86_64         2.1.1-2.fc23           updates         1.3 M
 owncloud-client-libs         x86_64         2.1.1-2.fc23           updates         393 k
 qtkeychain                   x86_64         0.5.0-1.fc23           fedora           55 k
 qtkeychain-qt5               x86_64         0.5.0-1.fc23           fedora           58 k

Transaction Summary
==========================================================================================
Install  2 Packages
Skip     4 Packages




When updating packages, message 'Skipping packages with broken dependencies' is shown:

$ sudo dnf update
Last metadata expiration check performed 0:07:53 ago on Tue Mar  8 06:57:31 2016.
Dependencies resolved.
==========================================================================================
 Package                      Arch           Version                Repository       Size
==========================================================================================
Skipping packages with broken dependencies:
 owncloud-client              x86_64         2.1.1-2.fc23           updates         1.3 M
 owncloud-client-libs         x86_64         2.1.1-2.fc23           updates         393 k

Transaction Summary
==========================================================================================
Skip  2 Packages
Comment 1 IanB 2016-03-07 16:10:14 EST
Issue resolved. I found I had a conflicting package from a non-Redhat/Fedora repository:

libqtkeychain0.x86_64                 0.5-7.1                   @isv_ownCloud_desktop

After removing this package, the conflict errors stopped.

Note You need to log in before you can comment on or make changes to this bug.